package generate

//TableInfo 需要生成的表，以逗号隔开
type TableInfo struct {
	Group               string //分组，将生成的文件归纳在该目录
	PK                  string //主键信息
	ModelName           string //模型名，如果没有以表名Camel格式生成
	IgnoreRouterPrefixL int    //忽略前缀的长度
	GenerateApiParams   bool   //是否生成dao
	GenerateResponse    bool   //是否生成dao
	GenerateDao         bool   //是否生成dao
	GenerateService     bool   //是否生成service
	GenerateApi         bool   //是否生成api
	AutoGenerateID      bool   //是否自动生成ID
}

const DBType = "Mysql"

const CreateTime = "create_time"
const UpdateTime = "update_time"
const Handler = "handler"

//NameSpace 生成的表空间
//const NameSpace = "duocaihui_dev"

const NameSpace = "duocaihui_dev"

//Tables 需要生成的表配置
var DoTables = map[string]TableInfo{
	//"u_customer":{Group:"customer", PK:"id",AutoGenerateID:true,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"u_account":{Group:"customer", PK:"customer_id,area_id,account_type",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"u_account_bill":{Group:"customer", PK:"",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"u_app_login_info":{Group:"customer", PK:"customer_id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: false,GenerateResponse: false},
	//"u_app_wx_login_info":{Group:"customer", PK:"open_id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: false,GenerateResponse: false},
	//"u_hardware_login_info":{Group:"customer", PK:"customer_id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"u_id_bar":{Group:"customer", PK:"customer_id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"u_card_offline":{Group:"customer", PK:"customer_id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"u_app_info":{Group:"customer", PK:"customer_id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"u_feedback":{Group:"customer", PK:"id",AutoGenerateID:true,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"u_order_recharge_apply":{Group:"customer", PK:"order_no",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"u_order_recharge":{Group:"customer", PK:"order_no",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"u_card_recharge":{Group:"customer", PK:"card_number",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"u_order_recharge_out":{Group:"customer", PK:"out_order_no",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"u_order_bean_give":{Group:"customer", PK:"",AutoGenerateID:true,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"u_order_bean_deduct":{Group:"customer", PK:"",AutoGenerateID:true,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"u_order_consume_prepay":{Group:"customer", PK:"order_no",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"u_order_consume_unpaid":{Group:"customer", PK:"order_no",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"u_order_consume":{Group:"customer", PK:"order_no",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"u_order_consume_equipment":{Group:"customer", PK:"order_no,side",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"u_area_change":{Group:"customer", PK:"id",AutoGenerateID:true,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"u_area_change_account_item":{Group:"customer", PK:"",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"u_order_refund_apply":{Group:"customer", PK:"apply_no",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"u_order_refund_apply_detail":{Group:"customer", PK:"",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"u_order_refund":{Group:"customer", PK:"order_no",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"u_login_record":{Group:"customer", PK:"",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"u_area_cross":{Group:"customer", PK:"customer_id,cross_area_id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//
	//"b_service":{Group:"base", PK:"id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"b_payment":{Group:"base", PK:"pay_type",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"b_payment_business":{Group:"base", PK:"pay_type,business_type",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"b_operate_company":{Group:"base", PK:"id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"b_area":{Group:"base", PK:"id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: true,GenerateApiParams: true,IgnoreRouterPrefixL: 1,GenerateResponse: true},
	//"b_area_service":{Group:"base", PK:"area_id,service_id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"b_area_auth":{Group:"base", PK:"area_id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"b_area_prepay":{Group:"base", PK:"area_id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"b_area_prepay_service":{Group:"base", PK:"area_id,service_id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"b_area_first_recharge":{Group:"base", PK:"area_id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"b_area_recharge":{Group:"base", PK:"area_id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"b_area_recharge_item":{Group:"base", PK:"id",AutoGenerateID:true,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"b_area_recharge_pay_type":{Group:"base", PK:"area_id,pay_type",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"b_area_register_give":{Group:"base", PK:"area_id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: true,GenerateApiParams: true,IgnoreRouterPrefixL: 1,GenerateResponse: true},
	//"b_area_order_pay":{Group:"base", PK:"area_id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"b_area_order_pay_type":{Group:"base", PK:"area_id,pay_type",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"b_area_refund_config":{Group:"base", PK:"area_id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"b_area_public_wx_mini_ad":{Group:"base", PK:"area_id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"b_area_cross":{Group:"base", PK:"area_id,cross_area_id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//
	//"app_page_block":{Group:"app", PK:"block_code",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"app_page_item":{Group:"app", PK:"item_code",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"app_page_item_c_android":{Group:"app", PK:"item_code",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"app_page_item_c_ios":{Group:"app", PK:"item_code",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"app_page_item_r_area":{Group:"app", PK:"item_code,area_id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"app_page_item_h5_detail":{Group:"app", PK:"item_code",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"app_table_plaque":{Group:"app", PK:"plaque_code",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"app_table_plaque_c_android":{Group:"app", PK:"plaque_code",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"app_table_plaque_c_ios":{Group:"app", PK:"plaque_code",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"app_table_plaque_r_area":{Group:"app", PK:"plaque_code,area_id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"app_open":{Group:"app", PK:"open_code",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"app_open_c_android":{Group:"app", PK:"open_code",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"app_open_c_ios":{Group:"app", PK:"open_code",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"app_open_r_area":{Group:"app", PK:"open_code,area_id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"app_notice":{Group:"app", PK:"notice_code",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"app_notice_r_area":{Group:"app", PK:"notice_code,area_id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"app_version_manage":{Group:"app", PK:"id",AutoGenerateID:true,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"app_version_manage_r_area":{Group:"app", PK:"version_manage_id,area_id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"app_version_manage_r_customer":{Group:"app", PK:"version_manage_id,customer_id",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//"app_ad_hide":{Group:"app", PK:"customer_type",AutoGenerateID:false,GenerateModel: true,GenerateDao: true,GenerateService: false,GenerateApi: false,GenerateApiParams: true,IgnoreRouterPrefixL: 0,GenerateResponse: true},
	//
	//
	//"wx_pay_order":              {Group: "", PK: "out_trade_no", AutoGenerateID: false, GenerateDao: false, GenerateService: false, GenerateApi: false, GenerateApiParams: false, IgnoreRouterPrefixL: 0, GenerateResponse: false},
	//"wx_merchant":               {Group: "", PK: "mch_id", AutoGenerateID: false, GenerateDao: false, GenerateService: false, GenerateApi: false, GenerateApiParams: false, IgnoreRouterPrefixL: 0, GenerateResponse: false},
	//"wx_app":                    {Group: "", PK: "app_id", AutoGenerateID: false, GenerateDao: false, GenerateService: false, GenerateApi: false, GenerateApiParams: false, IgnoreRouterPrefixL: 0, GenerateResponse: false},
	//"wx_pay_area":               {Group: "", PK: "area_id", AutoGenerateID: false, GenerateDao: false, GenerateService: false, GenerateApi: false, GenerateApiParams: false, IgnoreRouterPrefixL: 0, GenerateResponse: false},
	//"wx_pay_jump_mini":          {Group: "", PK: "app_id", AutoGenerateID: false, GenerateDao: false, GenerateService: false, GenerateApi: false, GenerateApiParams: false, IgnoreRouterPrefixL: 0, GenerateResponse: false},
	//"ali_app":                   {Group: "", PK: "app_id", AutoGenerateID: false, GenerateDao: false, GenerateService: false, GenerateApi: false, GenerateApiParams: false, IgnoreRouterPrefixL: 0, GenerateResponse: false},
	"ali_merchant": {Group: "", PK: "", AutoGenerateID: false, GenerateDao: false, GenerateService: false, GenerateApi: false, GenerateApiParams: false, IgnoreRouterPrefixL: 0, GenerateResponse: false},
	//"ali_pay_area":              {Group: "", PK: "area_id", AutoGenerateID: false, GenerateDao: false, GenerateService: false, GenerateApi: false, GenerateApiParams: false, IgnoreRouterPrefixL: 0, GenerateResponse: false},
	//"ali_pay_jump_mini":         {Group: "", PK: "app_id", AutoGenerateID: false, GenerateDao: false, GenerateService: false, GenerateApi: false, GenerateApiParams: false, IgnoreRouterPrefixL: 0, GenerateResponse: false},
	//"ali_pay_order":             {Group: "", PK: "out_trade_no", AutoGenerateID: false, GenerateDao: false, GenerateService: false, GenerateApi: false, GenerateApiParams: false, IgnoreRouterPrefixL: 0, GenerateResponse: false},
	//"allin_merchant":            {Group: "", PK: "biz_user_id", AutoGenerateID: false, GenerateDao: false, GenerateService: false, GenerateApi: false, GenerateApiParams: false, IgnoreRouterPrefixL: 0, GenerateResponse: false},
	//"allin_merchant_bank_cards": {Group: "", PK: "id", AutoGenerateID: false, GenerateDao: false, GenerateService: false, GenerateApi: false, GenerateApiParams: false, IgnoreRouterPrefixL: 0, GenerateResponse: false},
	//"allin_pay_area":            {Group: "", PK: "area_id", AutoGenerateID: false, GenerateDao: false, GenerateService: false, GenerateApi: false, GenerateApiParams: false, IgnoreRouterPrefixL: 0, GenerateResponse: false},
	//"allin_pay_order":           {Group: "", PK: "out_trade_no", AutoGenerateID: false, GenerateDao: false, GenerateService: false, GenerateApi: false, GenerateApiParams: false, IgnoreRouterPrefixL: 0, GenerateResponse: false},
	//"allin_pay_sharing_account": {Group: "", PK: "area_id,bi_user_id", AutoGenerateID: false, GenerateDao: false, GenerateService: false, GenerateApi: false, GenerateApiParams: false, IgnoreRouterPrefixL: 0, GenerateResponse: false},
	//"wx_pay_order_refund":       {Group: "", PK: "out_refund_no", AutoGenerateID: false, GenerateDao: false, GenerateService: false, GenerateApi: false, GenerateApiParams: false, IgnoreRouterPrefixL: 0, GenerateResponse: false},
	//"ali_pay_order_refund":      {Group: "", PK: "out_refund_no", AutoGenerateID: false, GenerateDao: false, GenerateService: false, GenerateApi: false, GenerateApiParams: false, IgnoreRouterPrefixL: 0, GenerateResponse: false},
	//"allin_pay_order_draw":      {Group: "", PK: "draw_no", AutoGenerateID: false, GenerateDao: false, GenerateService: false, GenerateApi: false, GenerateApiParams: false, IgnoreRouterPrefixL: 0, GenerateResponse: false},
	//"wx_transfer_area":          {Group: "", PK: "area_id", AutoGenerateID: false, GenerateDao: false, GenerateService: false, GenerateApi: false, GenerateApiParams: false, IgnoreRouterPrefixL: 0, GenerateResponse: false},
	//"wx_transfer_order":         {Group: "", PK: "out_batch_no", AutoGenerateID: false, GenerateDao: false, GenerateService: false, GenerateApi: false, GenerateApiParams: false, IgnoreRouterPrefixL: 0, GenerateResponse: false},
	//"wx_transfer_order_detail":  {Group: "", PK: "out_detail_no", AutoGenerateID: false, GenerateDao: false, GenerateService: false, GenerateApi: false, GenerateApiParams: false, IgnoreRouterPrefixL: 0, GenerateResponse: false},
}

type TypeMap map[string]string

//DbToGoPG PG数据库类型映射成go类型
var DbToGoPG = TypeMap{
	"int2":      "uint8",
	"int4":      "uint32",
	"varchar":   "string",
	"timestamp": "time.Time",
	"bool":      "bool",
	"bpchar":    "string",
	"point":     "string",
	"inet":      "string",
	"text":      "string",
	"_varchar":  "[]string",
}

//DbToGoMySql mysql数据库类型映射成go类型
var DbToGoMySql = TypeMap{
	"bigint":    "int64",
	"int":       "int32",
	"tinyint":   "int8",
	"varchar":   "string",
	"text":      "string",
	"datetime":  "time.Time",
	"timestamp": "time.Time",
}

var ModelImportMap = TypeMap{
	"timestamp": "time",
	"datetime":  "time",
	"date":      "time",
}
