package generate

func AllTables() []Table {
	var tables []Table
	//查询库中所有表
	tablesSql := "SELECT a.oid,\n       a.relname AS name,\n       b.description\n  FROM pg_class a\n       LEFT OUTER JOIN pg_description b ON b.objsubid=0 AND a.oid = b.objoid\n WHERE a.relnamespace = (SELECT oid FROM pg_namespace WHERE nspname='public')\n   AND a.relkind='r'\n ORDER BY a.relname"
	db.GetPgDb().Raw(tablesSql).Scan(&tables)
	return tables
}

func GetTableFiledByTableName(tableName string) []TableField {
	var tableFields []TableField
	tableInfoSql := "SELECT a.attname AS field_name,\n       t.typname AS field_type,\n       a.attlen AS length,\n       a.atttypmod AS length_var,\n       a.attnotnull AS notnull,\n       b.description AS comment\n  FROM pg_class c,\n       pg_attribute a\n       LEFT OUTER JOIN pg_description b ON a.attrelid=b.objoid AND a.attnum = b.objsubid,\n       pg_type t\n WHERE c.relname = ?\n       and a.attnum > 0\n       and a.attrelid = c.oid\n       and a.atttypid = t.oid\n ORDER BY a.attnum"
	db.GetPgDb().Raw(tableInfoSql, tableName).Scan(&tableFields)
	return tableFields
}
