package lib_allinpay

type CreateMember struct {
	BizUserId  string `json:"bizUserId"`
	MemberType uint8  `json:"memberType"`
	Source     uint8  `json:"source"`
}

func (CreateMember) apiName() string {
	return "allinpay.yunst.memberService.createMember"
}

type ApplyBindAcct struct {
	BizUserId     string `json:"bizUserId"`
	OperationType string `json:"operationType"`
	AcctType      string `json:"acctType"`
	Acct          string `json:"acct"`
}

func (ApplyBindAcct) apiName() string {
	return "allinpay.yunst.memberService.applyBindAcct"
}

type GetMemberInfo struct {
	BizUserId string `json:"bizUserId"`
}

func (GetMemberInfo) apiName() string {
	return "allinpay.yunst.memberService.getMemberInfo"
}

type QueryBankCard struct {
	BizUserId string `json:"bizUserId"`
	CardNo    string `json:"cardNo"`
}

func (QueryBankCard) apiName() string {
	return "allinpay.yunst.memberService.queryBankCard"
}

type QueryBankCardResponse struct {
	OpenResponse
	Data QueryBankCardResponseData
}

type QueryBankCardResponseData struct {
	BindCardList []BindCard
}

type BindCard struct {
	BankCardNo     string
	BankName       string
	BindState      string
	Phone          string
	BranchBankName string
}
