package a

import (
	"bytes"
	"fmt"
	"git.168cad.top/zhengqiuyun/rym-util/conf"
	"runtime"
	"strconv"
	"strings"
	"time"
)

const (
	DebugL = "Debug"
	InfoL  = "Info"
	ErrorL = "Error"
)

// Colors
const (
	Reset       = "\033[0m"
	Red         = "\033[31m"
	Green       = "\033[32m"
	Yellow      = "\033[33m"
	Blue        = "\033[34m"
	Magenta     = "\033[35m"
	Cyan        = "\033[36m"
	White       = "\033[37m"
	BlueBold    = "\033[34;1m"
	MagentaBold = "\033[35;1m"
	RedBold     = "\033[31;1m"
	YellowBold  = "\033[33;1m"
)

func Print(tag, msg string, file string, line int) {
	str := "%s %s [%d] %s %d %s"
	if conf.LogColorful {
		if tag == "Error" {
			str = "%s %s [%d] %s %d " + Red + "%s" + Reset
		} else if tag == "Info" {
			str = "%s %s [%d] %s %d " + Yellow + "%s" + Reset
		} else {
			str = "%s %s [%d] %s %d " + Green + "%s" + Reset
		}
	}
	file = file[strings.LastIndex(file, "/")+1:]
	fmt.Println(fmt.Sprintf(str, FormatDateMillTime(time.Now()), tag, getGID(), file, line, msg))
}

func FormatDateMillTime(dataTime time.Time) string {
	return dataTime.Format("2006-01-02 15:04:05.000000")
}

func getGID() uint64 {
	b := make([]byte, 64)
	b = b[:runtime.Stack(b, false)]
	b = bytes.TrimPrefix(b, []byte("goroutine "))
	b = b[:bytes.IndexByte(b, ' ')]
	n, _ := strconv.ParseUint(string(b), 10, 64)
	return n
}
