package log

import (
	"git.168cad.top/zhengqiuyun/rym-util/conf"
	"git.168cad.top/zhengqiuyun/rym-util/log/a"
	"runtime"
	"strings"
)

func DebugDo(f func()) {
	if IsDebug() {
		f()
	}
}

func IsDebug() bool {
	ok := false
	switch strings.ToLower(conf.LogLevel) {
	case strings.ToLower(a.DebugL):
		ok = true
		break
	}
	return ok
}

func Debug(msg string) {
	ok := false
	switch strings.ToLower(conf.LogLevel) {
	case strings.ToLower(a.DebugL):
		ok = true
		break
	}
	if ok {
		_, file, line, _ := runtime.Caller(1)
		a.Print("Debug", msg, file, line)
	}
}

func Info(msg string) {
	ok := false
	switch strings.ToLower(conf.LogLevel) {
	case strings.ToLower(a.DebugL):
		ok = true
		break
	case strings.ToLower(a.InfoL):
		ok = true
		break
	}
	if ok {
		_, file, line, _ := runtime.Caller(1)
		a.Print("Info", msg, file, line)
	}
}

func Error(msg string) {
	ok := false
	switch strings.ToLower(conf.LogLevel) {
	case strings.ToLower(a.DebugL):
		ok = true
		break
	case strings.ToLower(a.InfoL):
		ok = true
		break
	case strings.ToLower(a.ErrorL):
		ok = true
		break
	}
	if ok {
		_, file, line, _ := runtime.Caller(1)
		a.Print("Error", msg, file, line)
	}
}
