package util

import (
	"bytes"
	"crypto"
	"crypto/md5"
	"crypto/rand"
	"crypto/rsa"
	"crypto/sha256"
	"encoding/base64"
	"fmt"
	"git.168cad.top/zhengqiuyun/rym-util/exception"
	"github.com/wechatpay-apiv3/wechatpay-go/utils"
	"sort"
)

func Map2SHA256WithRSA(params map[string]interface{}, key string) (result string) {
	var keys []string
	for k := range params {
		keys = append(keys, k)
	}
	sort.Strings(keys)

	var buf bytes.Buffer
	for _, k := range keys {
		buf.WriteString(fmt.Sprintf("%s=%v&", k, params[k]))
	}
	cleartext := buf.String()[:buf.Len()-1]
	step3 := md5.Sum([]byte(cleartext))
	shaNew := sha256.New()
	shaNew.Write(step3[:])
	priKey, err := utils.LoadPrivateKey(key)
	if err != nil {
		exception.ThrowsErr(err)
	}
	signature, err := rsa.SignPKCS1v15(rand.Reader, priKey, crypto.SHA256, shaNew.Sum(nil))
	if err != nil {
		exception.ThrowsErr(err)
	}
	return base64.StdEncoding.EncodeToString(signature)
}
